Bug 256351 - sysutils/toybox: update to 0.8.5
Summary: sysutils/toybox: update to 0.8.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: http://landley.net/toybox/#19-15-2021
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-01 19:29 UTC by Vidar Karlsen
Modified: 2021-06-03 05:46 UTC (History)
1 user (show)

See Also:


Attachments
git diff (3.65 KB, patch)
2021-06-01 19:29 UTC, Vidar Karlsen
vidar: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vidar Karlsen 2021-06-01 19:29:09 UTC
Created attachment 225474 [details]
git diff

Update sysutils/toybox to 0.8.5.

QA:
- poudriere testport: 11.4 & 12.2, builds and runs
- builds and runs on 13.0
- portlint -C: looks fine

Changelog: http://landley.net/toybox/#19-15-2021
Comment 1 commit-hook freebsd_committer 2021-06-03 05:45:40 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=e2facd354b9631652854e631579a4f1b44c6e59f

commit e2facd354b9631652854e631579a4f1b44c6e59f
Author:     Fernando Apesteguía <fernape@FreeBSD.org>
AuthorDate: 2021-06-02 15:00:35 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-06-03 05:41:29 +0000

    sysutils/toybox: update to 0.8.5

    ChangeLog: http://landley.net/toybox/#19-15-2021

    PR:     256351
    Reported by:    vidar@karlsen.tech (maintainer)

 sysutils/toybox/Makefile                           |  8 +++---
 sysutils/toybox/distinfo                           |  6 ++---
 sysutils/toybox/files/patch-lib_portability.c      | 29 +++++++++++-----------
 .../toybox/files/patch-lib_portability.h (new)     | 11 ++++++++
 4 files changed, 33 insertions(+), 21 deletions(-)
Comment 2 Fernando Apesteguía freebsd_committer 2021-06-03 05:46:50 UTC
Committed,

Thanks!